# Messages Object

> Source: https://truto.one/docs/api-reference/unified-instant-messaging-api/messages/

Schema for the `Messages` resource in **Unified Instant Messaging API**.

## Properties

- **`id`** _(string, required)_
  Unique identifier for the message.
- **`body`** _(object)_
  Body of the message.
  - **`format`** _(string)_
    Format of the message body.
  - **`content`** _(string)_
    Content of the message body.
- **`attachments`** _(array<object>)_
  Attachments of the message.
  - **`id`** _(string)_
    Unique identifier for the attachment.
  - **`name`** _(string)_
    Name of the attachment.
  - **`type`** _(string)_
    Type of the attachment.
  - **`url`** _(string)_
    URL of the attachment.
- **`author`** _(object)_
  Author of the message. Is a member object.
  - **`id`** _(string)_
    Unique identifier for the author.
  - **`name`** _(string)_
    Name of the author.
- **`channel`** _(object)_
  Channel to which the message belongs.
  - **`id`** _(string)_
    Unique identifier for the channel.
  - **`name`** _(string)_
    Name of the channel.
  - **`type`** _(string)_
    Type of the channel.
- **`parent`** _(object)_
  Parent entity of the message.
  - **`id`** _(string)_
    Unique identifier for the parent entity.
  - **`type`** _(string)_
    Type of the parent entity.
    Allowed: `message`
- **`has_children`** _(boolean)_
  Whether the message has children.
- **`created_at`** _(string)_
  Date and time when the message was created.
- **`updated_at`** _(string)_
  Date and time when the message was last updated.
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [POST /unified/instant-messaging/messages](/docs/api-reference/unified-instant-messaging-api/messages/create) — Create Messages
- [GET /unified/instant-messaging/messages](/docs/api-reference/unified-instant-messaging-api/messages/list) — List Messages
- [GET /unified/instant-messaging/messages/{id}](/docs/api-reference/unified-instant-messaging-api/messages/get) — Get Messages
- [PATCH /unified/instant-messaging/messages/{id}](/docs/api-reference/unified-instant-messaging-api/messages/update) — Update Messages
- [DELETE /unified/instant-messaging/messages/{id}](/docs/api-reference/unified-instant-messaging-api/messages/delete) — Delete Messages
